<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@datashaper/react](./react.md) &gt; [useCellDropdownSelectHandler](./react.usecelldropdownselecthandler.md)

## useCellDropdownSelectHandler() function

<b>Signature:</b>

```typescript
export declare function useCellDropdownSelectHandler(clickable: boolean, onOptionSelect?: DropdownOptionSelect): DropdownOptionSelect | undefined;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  clickable | boolean |  |
|  onOptionSelect | [DropdownOptionSelect](./react.dropdownoptionselect.md) | <i>(Optional)</i> |

<b>Returns:</b>

[DropdownOptionSelect](./react.dropdownoptionselect.md) \| undefined

